package app

import (
	"net/http"

	"sim-server/app/main/api/internal/logic/app"
	"sim-server/app/main/api/internal/svc"
	"sim-server/common/result"
)

func HealthCheckHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := app.NewHealthCheckLogic(r.Context(), svcCtx)
		resp, err := l.HealthCheck()
		result.HttpResult(r, w, resp, err)
	}
}
